/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ResourceDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ResourceDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ResourceDto
        //private ResourceDto instance;

        public ResourceDtoTests()
        {
            // TODO uncomment below to create an instance of ResourceDto
            //instance = new ResourceDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ResourceDto
        /// </summary>
        [Fact]
        public void ResourceDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ResourceDto
            //Assert.IsType<ResourceDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'Pid'
        /// </summary>
        [Fact]
        public void PidTest()
        {
            // TODO unit test for the property 'Pid'
        }

        /// <summary>
        /// Test the property 'Type'
        /// </summary>
        [Fact]
        public void TypeTest()
        {
            // TODO unit test for the property 'Type'
        }

        /// <summary>
        /// Test the property 'Name'
        /// </summary>
        [Fact]
        public void NameTest()
        {
            // TODO unit test for the property 'Name'
        }

        /// <summary>
        /// Test the property 'DisplayName'
        /// </summary>
        [Fact]
        public void DisplayNameTest()
        {
            // TODO unit test for the property 'DisplayName'
        }

        /// <summary>
        /// Test the property 'Description'
        /// </summary>
        [Fact]
        public void DescriptionTest()
        {
            // TODO unit test for the property 'Description'
        }

        /// <summary>
        /// Test the property 'Keywords'
        /// </summary>
        [Fact]
        public void KeywordsTest()
        {
            // TODO unit test for the property 'Keywords'
        }

        /// <summary>
        /// Test the property 'License'
        /// </summary>
        [Fact]
        public void LicenseTest()
        {
            // TODO unit test for the property 'License'
        }

        /// <summary>
        /// Test the property 'UsageRights'
        /// </summary>
        [Fact]
        public void UsageRightsTest()
        {
            // TODO unit test for the property 'UsageRights'
        }

        /// <summary>
        /// Test the property 'MetadataLocalCopy'
        /// </summary>
        [Fact]
        public void MetadataLocalCopyTest()
        {
            // TODO unit test for the property 'MetadataLocalCopy'
        }

        /// <summary>
        /// Test the property 'MetadataExtraction'
        /// </summary>
        [Fact]
        public void MetadataExtractionTest()
        {
            // TODO unit test for the property 'MetadataExtraction'
        }

        /// <summary>
        /// Test the property 'ApplicationProfile'
        /// </summary>
        [Fact]
        public void ApplicationProfileTest()
        {
            // TODO unit test for the property 'ApplicationProfile'
        }

        /// <summary>
        /// Test the property 'FixedValues'
        /// </summary>
        [Fact]
        public void FixedValuesTest()
        {
            // TODO unit test for the property 'FixedValues'
        }

        /// <summary>
        /// Test the property 'Disciplines'
        /// </summary>
        [Fact]
        public void DisciplinesTest()
        {
            // TODO unit test for the property 'Disciplines'
        }

        /// <summary>
        /// Test the property 'Visibility'
        /// </summary>
        [Fact]
        public void VisibilityTest()
        {
            // TODO unit test for the property 'Visibility'
        }

        /// <summary>
        /// Test the property 'DateCreated'
        /// </summary>
        [Fact]
        public void DateCreatedTest()
        {
            // TODO unit test for the property 'DateCreated'
        }

        /// <summary>
        /// Test the property 'Creator'
        /// </summary>
        [Fact]
        public void CreatorTest()
        {
            // TODO unit test for the property 'Creator'
        }

        /// <summary>
        /// Test the property 'Archived'
        /// </summary>
        [Fact]
        public void ArchivedTest()
        {
            // TODO unit test for the property 'Archived'
        }

        /// <summary>
        /// Test the property 'MaintenanceMode'
        /// </summary>
        [Fact]
        public void MaintenanceModeTest()
        {
            // TODO unit test for the property 'MaintenanceMode'
        }

        /// <summary>
        /// Test the property 'Projects'
        /// </summary>
        [Fact]
        public void ProjectsTest()
        {
            // TODO unit test for the property 'Projects'
        }
    }
}
